### Method

# Gio FileInfo get_modification_time

deprecated: 2.62

#### Declaration [src]

    void
    g_file_info_get_modification_time (
      GFileInfo* info,
      GTimeVal* result
    )

#### Description [src]

Gets the modification time of the current `info` and sets it in `result`.

It is an error to call this if the `GFileInfo` does not contain `G_FILE_ATTRIBUTE_TIME_MODIFIED`. If `G_FILE_ATTRIBUTE_TIME_MODIFIED_USEC` is provided it will be used too.

Deprecated since: 2.62

Use `g_file_info_get_modification_date_time()` instead, as `GTimeVal` is deprecated due to the year 2038 problem.

#### Parameters

`result`

  Type: `GTimeVal`

  A `GTimeVal`.

  The argument will be set by the function.
  The returned data is owned by the instance.